/*
 * dfr_drv.h
 *
 *
 *  Created on: 23-10-2014
 *      Author: KJ
 */

#ifndef DFR_DRV_H_
#define DFR_DRV_H_

#include "tdefs.h"

#define ELEMENT_IS_REC_FLOAT	0x8000
#define ELEMENT_IS_REC_BUF		0x4000

extern struct dfr_drv_logic *dfr_drv_log_ptr;

struct dfr_drv_logic
{
	u16 an_count;
	u16 bin_count;
	u16 sample_size;
	u32 max_offset;
	u16 element_num[];
};

struct dfr_drv_io
{
}__attribute__((__packed__));

struct dfr_drv_params
{
}__attribute__((__packed__));

struct dfr_drv_args
{
	struct dfr_drv_io io;
	struct dfr_drv_params params;
//	u16 crc;
}__attribute__((__packed__));

extern int dfr_drv_initlog(void *args, void *logic);

#endif /* DFR_DRV_H_ */
